<form action="" class="form" [formGroup]="profileForm" (ngSubmit)="onSubmit()">
    <app-form-one [parentForm]="profileForm" (checkboxChange)="onCheckboxChange($event)"></app-form-one>
    <app-form-two *ngIf="showAddress" [parentForm]="profileForm"></app-form-two>
    <app-form-three [parentForm]="profileForm"></app-form-three>
</form>